Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 289811 - qt-assistant-4.6.0_beta1 fails
Summary: qt-assistant-4.6.0_beta1 fails
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-19 21:18 UTC by frag4now
Modified: 2009-10-31 12:18 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description frag4now 2009-10-19 21:18:29 UTC
i get this error compiling qt-assistant:

compiling .rcc/debug-shared/qrc_assistant_images.cpp
linking ../../../../bin/assistant
/usr/lib/gcc/i686-pc-linux-gnu/4.3.2/../../../../i686-pc-linux-gnu/bin/ld: warning: libQtCLucene.so.4, needed by /var/tmp/porta
ge/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so, not found (try using -rpat
h or -rpath-link)
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined re
ference to `QCLuceneIndexWriter::setMergeFactor(int)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined re
ference to `QCLuceneIndexReader::isLocked(QString const&)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined re
ference to `QCLuceneIndexSearcher::close()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined re
ference to `QCLuceneDocument::get(QString const&) const'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined re
ference to `QCLuceneIndexSearcher::QCLuceneIndexSearcher(QString const&)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined re
ference to `QCLuceneBooleanQuery::QCLuceneBooleanQuery()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined re
ference to `QCLuceneHits::length() const'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined re
ference to `QCLuceneIndexWriter::QCLuceneIndexWriter(QString const&, QCLuceneAnalyzer&, bool, bool)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined re
ference to `QCLuceneStopAnalyzer::QCLuceneStopAnalyzer()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined re
ference to `QCLuceneBooleanQuery::~QCLuceneBooleanQuery()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined re
ference to `QCLuceneHits::~QCLuceneHits()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined re
ference to `QCLuceneIndexReader::~QCLuceneIndexReader()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined re
ference to `QCLuceneIndexReader::close()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneIndexReader::unlock(QString const&)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneQueryParser::parse(QString const&, QString const&, QCLuceneAnalyzer&)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneIndexSearcher::~QCLuceneIndexSearcher()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneTermQuery::QCLuceneTermQuery(QCLuceneTerm const&)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneIndexReader::deleteDocuments(QCLuceneTerm const&)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneIndexWriter::close()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLucenePhraseQuery::addTerm(QCLuceneTerm const&)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneTermQuery::~QCLuceneTermQuery()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneStopAnalyzer::~QCLuceneStopAnalyzer()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneBooleanQuery::add(QCLuceneQuery*, bool, bool, bool)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneStandardAnalyzer::QCLuceneStandardAnalyzer()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneIndexWriter::setMinMergeDocs(int)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneStopAnalyzer::englishStopWords() const'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneDocument::clear()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneTerm::QCLuceneTerm(QString const&, QString const&)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneIndexWriter::setMaxFieldLength(int)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLucenePhraseQuery::QCLucenePhraseQuery()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneStandardAnalyzer::~QCLuceneStandardAnalyzer()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneIndexWriter::addDocument(QCLuceneDocument&, QCLuceneAnalyzer&)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneSearcher::search(QCLuceneQuery const&)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneDocument::QCLuceneDocument()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneQuery::toString() const'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneDocument::~QCLuceneDocument()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneIndexReader::open(QString const&)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneDocument::add(QCLuceneField*)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneHitsPrivate::~QCLuceneHitsPrivate()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneIndexWriter::optimize()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneField::QCLuceneField(QString const&, QString const&, int)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneIndexReader::indexExists(QString const&)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneTerm::~QCLuceneTerm()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneDocumentPrivate::~QCLuceneDocumentPrivate()'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneHits::document(int)'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/lib/libQtHelp.so: undefined reference to `QCLuceneIndexWriter::~QCLuceneIndexWriter()'
collect2: ld returned 1 exit status
make[2]: *** [../../../../bin/assistant] Error 1
make[2]: Leaving directory `/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/tools/assistant/tools/assistant'
make[1]: *** [sub-assistant-make_default-ordered] Error 2
make[1]: Leaving directory `/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/work/qt-everywhere-opensource-src-4.6.0-beta1/tools/assistant/tools'
make: *** [sub-tools-make_default-ordered] Error 2
 * 
 * ERROR: x11-libs/qt-assistant-4.6.0_beta1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3323:  Called qt4-build_src_compile
 *             environment, line 3020:  Called build_directories '
 * tools/assistant
 * tools/pixeltool
 * tools/qdoc3'
 *             environment, line  616:  Called die
 * The specific snippet of code:
 *           emake CC="@echo compiling \$< && $(tc-getCC)" CXX="@echo compiling \$< && $(tc-getCXX)" LINK="@echo linking \$@ && $(tc-getCXX)" || die "emake failed";
 *  The die message:
 *   emake failed
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/log/portage/x11-libs:qt-assistant-4.6.0_beta1:20091019-205833.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-libs/qt-assistant-4.6.0_beta1/temp/environment'.


 emerge --info
Portage 2.1.6.13 (default/linux/x86/2008.0, gcc-4.3.2, glibc-2.9_p20081201-r2, 2.6.30-gentoo-r6 i686)
=================================================================
System uname: Linux-2.6.30-gentoo-r6-i686-Intel-R-_Pentium-R-_M_processor_1.73GHz-with-gentoo-1.12.11.1
Timestamp of tree: Sun, 18 Oct 2009 11:30:18 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p28
dev-java/java-config: 1.3.7-r1, 2.1.8-r1
dev-lang/python:     2.4.4-r13, 2.5.4-r3, 2.6.2-r1
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-g -ggdb -march=pentium-m -mtune=pentium-m -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-g -ggdb -march=pentium-m -mtune=pentium-m -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distclean distlocks fixpackages nostrip parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.switch.ch/ftp/mirror/gentoo/                 ftp://mirror.switch.ch/mirror/gentoo/                 http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/                 http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/"
LANG="it_IT"
LC_ALL="en_US.UTF8"
LDFLAGS="-Wl,-O1"
LINGUAS="it"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acpi alsa bzip2 cdr cdrom cli cracklib crypt cups dri dvd dvdr fortran gpm hal iconv ipv6 isdnlog kde mmx modules mudflap ncurses nls nptl nptlonly openmp pam pcre pppd python qt3 qt3support qt4 readline reflection session spl sse sse2 ssl sysfs tcpd udev unicode x86 xorg zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="mouse keyboard evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" USERLAND="GNU" VIDEO_CARDS="fglrx vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



Reproducible: Always

Steps to Reproduce:
Comment 1 frag4now 2009-10-21 22:20:17 UTC
(In reply to comment #0)
i compiled qt-4.6 from sources downloaded with emerge(qt-everywhere-opensource-src-4.6.0-beta1.tar.gz):

cd qt-everywhere-opensource-src-4.6.0-beta1/
./configure
qmake
make

my system compiles it successully....so i guess must be something wrong somewhere else (ebuilds???)
if you need any further information: ask!
thanks 
Comment 2 Franz Trischberger 2009-10-23 07:36:06 UTC
http://bugs.gentoo.org/show_bug.cgi?id=289570

Does a binutils-update help you?
The error-message is the same one...
Comment 3 frag4now 2009-10-23 10:20:06 UTC
thanks for your replay. Tried also that, same result.

Comment 4 Igor Ulyanov 2009-10-23 11:05:04 UTC
I have the same problem:

emerge --info
Portage 2.2_rc46 (default/linux/amd64/2008.0/desktop, gcc-4.4.2, glibc-2.10.1-r0, 2.6.31-gentoo-r3 x86_64)
=================================================================
System uname: Linux-2.6.31-gentoo-r3-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9400_@_2.66GHz-with-gentoo-2.0.1
Timestamp of tree: Mon, 19 Oct 2009 12:00:01 +0000
app-shells/bash:     4.0_p33
dev-java/java-config: 1.3.7-r1, 2.1.9-r1
dev-lang/python:     2.5.4-r2, 2.6.3, 3.1.1-r1
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.5.2
sys-apps/sandbox:    2.1
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.20
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=core2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -march=core2"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="ru_RU.UTF-8"
LC_ALL="C"
LDFLAGS="-Wl,-O1"
LINGUAS="en ru"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/portage/local/layman/jokey /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="7zip X a52 aac aalib acl acpi alsa amd64 amr ao arts aspell atm bash-completion bcp berkdb bluetooth branding bzip2 cairo cddb cdparanoia cdr cli consolekit contrarius cracklib cran crypt cups curl cvs cvsgraph cxx dbus dga dhcp doc dri dts dv dvd dvdr dvdread eds emacs emboss encode enscript esd evo examples exif fam fat firefox flac fortran gdbm gif gimp glib glitz glsa gnome gpm gstreamer gtk gtk2 hal hddtemp highlight iconv imap inquisitio ipv6 isdnlog javascript jpeg kde4 ldap lesstif libnotify lm_sensors lzo mad midi mikmod mmx mng modules motif mp3 mp4 mpeg mplayer mudflap multilib ncurses nls nptl nptlonly ntfs nvidia obex ogg opengl openmp pam pcre pdf perl pink png policykit ppds pppd qa qt qt3 qt3support qt4 quicktime readline redland reflection rtc samba sdl server session slang speex spell spl sqlite srt sse sse2 ssl startup-notification subversion svg sysfs tcpd tga theora threads thunar tiff truetype unicode usb v4l2 vorbis webkit wmf wmp x264 xcb xml xorg xscreensaver xulrunner xv xvid zlib" ALSA_CARDS="emu10k1" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon ptp2" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en ru" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 5 Dominik Kapusta (RETIRED) gentoo-dev 2009-10-31 12:18:34 UTC
This was a problem of libQtHelp unable to find libQtCLucene when linking assistant binary. Fixed now.

Thanks for reporting :)